Next Commerce
Webhooks

Webhooks List

Retrieve a list of webhooks.

GET
/webhooks/

Authorization

oauth2 webhooks:read
AuthorizationBearer <token>

Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123

In: header

Scope: webhooks:read

Query Parameters

name?string

Name

events?array<>
active?boolean

Is Active?

cursor?string

The pagination cursor value.

Header Parameters

X-29next-API-Version*"2023-02-10"
Default"2023-02-10"

Value in

  • "2023-02-10"

Response Body

application/json

curl -X GET "https://example.com/webhooks/" \  -H "X-29next-API-Version: 2023-02-10"
{  "next": "http://example.com",  "previous": "http://example.com",  "results": [    {      "active": true,      "api_version": "string",      "created_at": "2019-08-24T14:15:22Z",      "events": [        "cart.abandoned"      ],      "id": 0,      "name": "string",      "next_check_date": "2019-08-24T14:15:22Z",      "secret_key": "string",      "target": "http://example.com",      "updated_at": "2019-08-24T14:15:22Z",      "warning_count": 0    }  ]}